Bug 1025010 - Update from F19 to F20 of texlive-texdiff-bin package fails due to texlive-kpathsea-lib dependencies
Update from F19 to F20 of texlive-texdiff-bin package fails due to texlive-kp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 14:12 EDT by Michael Wiktowy
Modified: 2015-09-16 14:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 14:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Wiktowy 2013-10-30 14:12:43 EDT
Description of problem:
On an updated F19 system, running the following yum update command line:

yum --releasever=20 --enablerepo=updates-testing --enablerepo=updates distro-sync

causes the following error for texlive-texdiff-bin:

Error: Package: 3:texlive-texdiff-bin-svn15506.0-0.5.20130608_r30832.fc20.noarch (fedora)
           Requires: texlive-kpathsea-lib = 3:2013-0.5.20130608_r30832.fc20
           Removing: 3:texlive-kpathsea-lib-2013-0.1.20130608_r30832.fc19.x86_64 (@updates/19)
               texlive-kpathsea-lib = 3:2013-0.1.20130608_r30832.fc19
           Updated By: 3:texlive-kpathsea-lib-2013-2.20131019_r31948.fc20.x86_64 (updates-testing)
               texlive-kpathsea-lib = 3:2013-2.20131019_r31948.fc20
           Available: 3:texlive-kpathsea-lib-2013-0.5.20130608_r30832.fc20.i686 (fedora)
               texlive-kpathsea-lib = 3:2013-0.5.20130608_r30832.fc20

Additional info:
This is a test requested as per:

http://www.paulmellors.net/donate-1-minute-of-your-time-to-test-upgrades-from-f19-to-f20/

in order to uncover F19->F20 packaging/dependency issues.
Comment 1 Jaroslav Reznik 2015-03-03 10:10:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora Admin XMLRPC Client 2015-08-11 01:32:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Tom "spot" Callaway 2015-09-16 14:11:07 EDT
If this issue still exists, reopen and give specifics.

Note You need to log in before you can comment on or make changes to this bug.